package dao

import "server/global"

type ProjectFeeGenre struct {
	global.GVA_MODEL
	Name string `json:"name" form:"name" gorm:"comment:费用类型名称"`
}

func (ProjectFeeGenre) TableName() string {
	return "project_fee_genre"
}

// TODO:费用类型查询

// QueryProjectFeeGenre 查询费用类型
func QueryProjectFeeGenre() (projectFeeGenre []ProjectFeeGenre, err error) {
	err = global.GVA_DB.Model(&ProjectFeeGenre{}).Find(&projectFeeGenre).Error
	return projectFeeGenre, err
}

// TODO:费用类型新增

// CreateProjectFeeGenre 新增费用类型
func (eg ProjectFeeGenre) CreateProjectFeeGenre() error {
	return global.GVA_DB.Create(&eg).Error
}

// TODO:费用类型修改

// UpdateProjectFeeGenre 修改费用类型
func (eg ProjectFeeGenre) UpdateProjectFeeGenre() error {
	return global.GVA_DB.Model(&eg).Where("id = ?", eg.ID).Updates(&eg).Error
}

// TODO:费用类型删除

// DeleteProjectFeeGenre 删除费用类型
func (eg ProjectFeeGenre) DeleteProjectFeeGenre() error {
	return global.GVA_DB.Unscoped().Delete(&eg).Error
}
